Bug 14890 - Remove C4::Dates from circ/bookcount.pl
Summary: Remove C4::Dates from circ/bookcount.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14870
  Show dependency treegraph
 
Reported: 2015-09-24 19:11 UTC by Marc Véron
Modified: 2016-06-21 21:40 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14890 - Remove C4::Dates from circ/bookcount.pl (2.65 KB, patch)
2015-09-24 19:15 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14890 - Remove C4::Dates from circ/bookcount.pl (2.74 KB, patch)
2015-10-07 16:56 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 14890 - Remove C4::Dates from circ/bookcount.pl (2.79 KB, patch)
2015-10-08 08:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14890: Simplify processing to display a date with hours (2.29 KB, patch)
2015-10-08 08:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-09-24 19:11:49 UTC
This patch removes deprecated C4::Dates from circ/bookcount.pl
Comment 1 Marc Véron 2015-09-24 19:15:41 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2015-10-07 16:56:16 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-10-08 08:55:13 UTC
Created attachment 43221 [details] [review]
Bug 14890 - Remove C4::Dates from circ/bookcount.pl

This patch removes deprecated C4::Dates from circ/bookcount.pl

To test:
- Search for biblio with an item that has been checked out several
  times and that has been transferred
- In left navigation click on 'Items'
- In list of items click on 'View item's checkout history'
- Verify that dates in 'Date arrived at current library' and in
  column 'Last seen' display properly.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2015-10-08 08:55:18 UTC
Created attachment 43222 [details] [review]
Bug 14890: Simplify processing to display a date with hours

The KohaDates plugin does that, it's not necessary to split the output.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Tomás Cohen Arazi 2015-10-08 14:01:03 UTC
Patches pushed to master.

Thanks Marc and Jonathan!